#include<iostream>
#include<cmath>
using namespace std;
int main()
{
	int m,n,s[1000],sb[1000],p[1000],t=0,nn;
	cin>>m;
	for(int i = 0;i < m;i++)
	{
		cin>>s[i];
	}
	cin>>n;
	for(int j = 0;j < n;j++)
	{
		cin>>sb[j];
	}
	if(m <= n)
	{
		for(int j=0;j<m;j++)
		{
			for(int i = 0;i<n;i++)
			{
				if(s[i] == sb[j])
				{	
					p[t] = s[j];
					t++;
				}
			}
		}
	}
	else
		for(int j=0;j<n;j++)
		{
			for(int i = 0;i<m;i++)
			{
				if(s[j] == sb[i])
				{	
					p[t] = s[i];
					++t;
				}
			}
		}

	if(t>0)
	{
		for(int j=0;j<=t;j++)
		{
			for(int k=j+1;k<=t;k++)
			{
				if(p[k]<p[j])
				{
					nn=p[j];
					p[j]=p[k];
					p[k]=nn;
				}
					
			}
		}
		
		for(int i = 0;i<=t;i++)
		{
			cout<<p[i]<<" ";
		}
	 } 
	 else
	 	cout<<"no";
	
	
	return 0;
	
}
